#ifndef EEDB_USER_GROUPS_H
#define EEDB_USER_GROUPS_H

#include <sqlpp11/table.h>
#include <sqlpp11/char_sequence.h>
#include <sqlpp11/column_types.h>

namespace eedb {

	namespace user_groups_ {

		struct Uid {
			struct _alias_t {
				static constexpr const char _literal[] = R"("uid")";
				using _name_t = sqlpp::make_char_sequence<sizeof(_literal), _literal>;
				template<typename T>
					struct _member_t {
						T uid;
						T &operator()() { return uid; }
						const T &operator()() const { return uid; }
					};
			};

			using _traits = ::sqlpp::make_traits<::sqlpp::integer, sqlpp::tag::require_insert>;
		};

		struct Gid {
			struct _alias_t {
				static constexpr const char _literal[] = R"("gid")";
				using _name_t = sqlpp::make_char_sequence<sizeof(_literal), _literal>;
				template<typename T>
					struct _member_t {
						T gid;
						T &operator()() { return gid; }
						const T &operator()() const { return gid; }
					};
			};

			using _traits = ::sqlpp::make_traits<::sqlpp::integer, sqlpp::tag::require_insert>;
		};
	}

	struct user_groups : sqlpp::table_t<user_groups,
				user_groups_::Uid,
				user_groups_::Gid> {
		using _value_type = sqlpp::no_value_t;
		struct _alias_t {
			static constexpr const char _literal[] = R"("user_groups")";
			using _name_t = sqlpp::make_char_sequence<sizeof(_literal), _literal>;
			template<typename T>
				struct _member_t {
					T user_groups;
					T &operator()() { return user_groups; }
					const T &operator()() const { return user_groups; }
				};
		};
	};
}

#endif
